html, body {
  height: 100%;
}
body {
  background-color: #ffffff;
  /*overflow: hidden;*/
}
img {
  max-width: 100%;
  height: auto;
}
.slider {
  width: 90vmin;
  height: 90vmin;
  -webkit-perspective: 100vmin;
          perspective: 100vmin;
  margin: auto;
  -webkit-perspective-origin: top center;
          perspective-origin: top center;
  position: relative;
  box-sizing: border-box;
}
.slider__item {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding-top: 15vmin;
  box-sizing: border-box;
  -webkit-transition: -webkit-transform 0.18s ease;
  transition: -webkit-transform 0.18s ease;
  transition: transform 0.18s ease;
  transition: transform 0.18s ease, -webkit-transform 0.18s ease;
}
.slider__item:nth-child(1) {
  -webkit-transform: translate3d(0, 0, 0vmin);
          transform: translate3d(0, 0, 0vmin);
  -webkit-transition-delay: 0s;
          transition-delay: 0s;
  z-index: 7;
}
.slider__item:nth-child(2) {
  -webkit-transform: translate3d(0, 0, -15vmin);
          transform: translate3d(0, 0, -15vmin);
  -webkit-transition-delay: 0.05s;
          transition-delay: 0.05s;
  z-index: 6;
}
.slider__item:nth-child(3) {
  -webkit-transform: translate3d(0, 0, -30vmin);
          transform: translate3d(0, 0, -30vmin);
  -webkit-transition-delay: 0.1s;
          transition-delay: 0.1s;
  z-index: 5;
}
.slider__item:nth-child(4) {
  -webkit-transform: translate3d(0, 0, -45vmin);
          transform: translate3d(0, 0, -45vmin);
  -webkit-transition-delay: 0.15s;
          transition-delay: 0.15s;
  z-index: 4;
}
.slider__item:nth-child(5) {
  -webkit-transform: translate3d(0, 0, -60vmin);
          transform: translate3d(0, 0, -60vmin);
  -webkit-transition-delay: 0.2s;
          transition-delay: 0.2s;
  z-index: 3;
}
.slider__item:nth-child(6) {
  -webkit-transform: translate3d(0, 0, -75vmin);
          transform: translate3d(0, 0, -75vmin);
  -webkit-transition-delay: 0.25s;
          transition-delay: 0.25s;
  z-index: 2;
}
.slider__item:nth-child(7) {
  -webkit-transform: translate3d(0, 0, -90vmin);
          transform: translate3d(0, 0, -90vmin);
  -webkit-transition-delay: 0.3s;
          transition-delay: 0.3s;
  z-index: 1;
}
.slider__item:nth-child(8) {
  -webkit-transform: translate3d(0, 0, -105vmin);
          transform: translate3d(0, 0, -105vmin);
  -webkit-transition-delay: 0.35s;
          transition-delay: 0.35s;
  z-index: 0;
}
.slider__image {
  width: 100%;
  height: 80%;
  background-color: #999;
  border: 1.5vmin solid #eee;
  box-sizing: border-box;
  box-shadow: 0px 3vmin 3vmin rgba(0, 0, 0, 0.75), 0 -1.5vmin 2.7vmin rgba(0, 0, 0, 0.75);
  overflow: hidden;
  display: block;
  -webkit-transition: opacity 0.2s ease, -webkit-transform 0.18s ease;
  transition: opacity 0.2s ease, -webkit-transform 0.18s ease;
  transition: transform 0.18s ease, opacity 0.2s ease;
  transition: transform 0.18s ease, opacity 0.2s ease, -webkit-transform 0.18s ease;
  -webkit-transform-origin: bottom center;
          transform-origin: bottom center;
}
.slider__caption {
  height: 20%;
  font-weight: bold;
  color: rgba(0, 0, 0, 0.8);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.slider__btn {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 9vmin;
  height: 9vmin;
  margin: 2vmin auto;
  border-right: 2vmin solid rgba(0, 0, 0, 0.8);
  border-bottom: 2vmin solid rgba(0, 0, 0, 0.65);
  z-index: 100;
  cursor: pointer;
  -webkit-transform: perspective(10vmin) rotateX(-30deg) rotateZ(45deg);
          transform: perspective(10vmin) rotateX(-30deg) rotateZ(45deg);
}
.slider__btn:active {
  border-right-color: #dd6;
  border-bottom-color: #dd6;
}





.hidden {
  display: none;
}
svg {
  width: 20px;
  height: 20px;
  margin-right: 7px;
}
button, .button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: auto;
  padding-top: 8px;
  padding-bottom: 8px;
  color: #777;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  line-height: 1.1;
  letter-spacing: 2px;
  text-transform: capitalize;
  text-decoration: none;
  white-space: nowrap;
  border-radius: 4px;
  border: 1px solid #ddd;
  cursor: pointer;
}
button:hover, .button:hover {
  border-color: #cdd;
}
.share-button, .copy-link {
  padding-left: 30px;
  padding-right: 30px;
}
.share-button, .share-dialog {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.share-dialog {
  display: none;
  width: 95%;
  max-width: 500px;
  box-shadow: 0 8px 16px rgba(0,0,0,.15);
  z-index: -1;
  border: 1px solid #ddd;
  padding: 20px;
  border-radius: 4px;
  background-color: #fff;
}
.share-dialog.is-open {
  display: block;
  z-index: 2;
}
header {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}
.targets {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr;
  grid-gap: 20px;
  margin-bottom: 20px;
}
.close-button {
  background-color: transparent;
  border: none;
  padding: 0;
}
.close-button svg {
  margin-right: 0;
}
.link {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border-radius: 4px;
  background-color: #eee;
}
.pen-url {
  margin-right: 15px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}